Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

PROBLEM PO ZAINSTALOWANIU STERW NVIDII

Zaczęty przez wlodarek1, Marzec 16, 2013, 06:45:53 PM

Poprzedni wątek - Następny wątek

wlodarek1

Na swiezo zainstalowanym Sparky[wersja Gameover] zainstalowalem poprzez synaptic pakiet NVIDIA-GLX [pociagnal ze soba sporo zaleznosci] i wydalem polecenie NVIDIA-XCONFIG

Wygenerowal sie plik XORG.CONF jest w nim linijka typu DRIVER NVIDIA ale pomimo to po restarcie kompa ujrzalem tylko migajaca kreske w lewym gornym rogu  :(   :x

Po wejsciu w tryb ratunkowy i wydaniu polecenia STARTX wywalilo ze

MODULE NVIDIA NOT FOUND

Jak wiec pprawnie powinienem zainstalowac stery grafiki nvidii w Sparky linuksie ?

Albedo 0.64

#1
Sparky jest w 100% zgodny z Debianem testing więc instalacja sterowników powinna być taka jak w Debianie. Sam nie posiadam karty Nvidia i proponuję szukać rozwiązania na forum poświęconym Debianowi http://www.debian.pl/activity.php
MX Linux XFCE
Linux registered user 556565


wlodarek1

#3
DPKG - zainstalowaqłem wg opisu z linku na dug.net który podałeś i efekt jest taki że

po restarcie kompa widzę tylko migającą kreskę w lewym górnym rogu .

Po przełączeniu się na inną konsolę badam sprawę ; lsmod - modułu "nvidia" nie ma .

Daję STARTX - odpowiedź - SCREENS NOT FOUND , MODULE NVIDIA NOT FOUND

Moduł NUVEAU zablokowałem zgodnie z opisem na dug.net i teraz chyba żaden moduł

nie obsługuje mojej karty graficznej .

Albedo 0.64

#4
Podobny problem miałem po instalacji Manjaro choć z płyty system działał dobrze. Po instalacji na dysku czarny ekran i migający kursor czyli konsola we własnej osobie. Wypróbuj inne debianowe dystrybucje to może znajdziesz przyczynę czyli brakujący pakiet. Może być, że jądro 3.2 w Sparku nie ma sterów do twojej karty więc dobrze by było sprawdzić distro z nowszym jajkiem.
MX Linux XFCE
Linux registered user 556565

MoroS

#5
Podobnie, jak przy temacie ze sterownikami AMD przydałyby się informacje o modelu karty oraz wersji sterownika. Podobnie, jak AMD, także nVidia z każdą wersją sterownika usuwa obsługę kolejnych starszych modeli kart.
Nie ma rzeczy niemożliwych. Są tylko takie, których jeszcze nie umiemy wykonać. ;)

wlodarek1

#6
Na jednym z debianowych forów uzyskałem taką poradę aby doinstalować standardowe jądro debiana ;

Quote:

aptitude install linux-image-686-pae linux-headers-686-pae


I rzeczywiście ; na tym jądrze sparky uruchamia mi się normalnie a instalacja sterów nvidii , ati i tunera tv poszła bez problemów


wlodarek1

#7
Tylko Jest z tym jądrem 1 problem ; ono jest widoczne pod " zaawansowane opcje systemu debian" i jest tam na miejscu trzecim od góry . Jak wyciągnąć wpis odnoszący się do tego jądra na "wierzch" bootloadera , i uczynić go domyślnym ?

Sajmon

#8
Cześć,



Na wierzch nie musisz wyciągać, wystarczy że dopasujesz w grub.cfg opcję

set default="0"  żeby się uruchamiało przy starcie to co potrzebujesz.



mfG

wlodarek1

#9
Dzięki za poradę  :)

Pozostał mi jeszcze 1 problem ze Sparkym ;

nie mogę uruchomić serwera dźwięku JACK , wywala mi coś takiego ;

jacksparky.th.jpg

Jak to naprawić :x  :(

pavroo

#10
Dałeś miniaturę, przydałby się większy zrzut :)
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

wlodarek1

#11
jacksparky.jpg

Proszę , oto pełen zrzut /

Viking

#12
Witam

Na wstępie chialem pochwalić pracę autora dystrybucji za wykonywanie bardzo ładnego distro chć narazie ma jeszcze trochę bugów związanych z uprawnieniami i uruchamianiem systemowych aplikacji.

A teraz co do tematu w którym piszę. Spodobała mi się natyle ta dystrybucja, że postanowilem na staruszku komputerze ją zainstalować no ale pojawił się właśnie problem sterwników nvivi. Moim zdaniem problem ich zastosowania tkwi głównie w sterownikach  X.Org xserver ponieważ są one so wersji 1.11 i 1.12. Na Ubuntu poradziłem sobie z tym problemem w ten sposób, że zrobiłem piorytet pobierania ich z ostatniej wersji Ubuntu w której jest ta wersja czyli precise i niezależnie jaka jest wersja kernela (działa z każdą nową wersją) działają poprawnie sterowniki ściągnięte z strony Nvivi. Zapewne tutaj też możnaby było zastosować taką samą zasadę tylko nie mam pojęcia w jakiej wersji ostatnio były zainstalowana w/w wersja, a nawet sprawa by była prostsza ponieważ te sterowniki są w repozytoriach debiana w przeciwieństwie do Ubuntu (od 4 wersji ich nie ma w repozytoriach).

No i tutaj małe pytanko do autora dystrybucji czy by nie mógł napisać do jakiej wersji trzeba zejść i względnie opisał jak to zrobić. Osobiście mogę napisać jak to zrobiłem w Ubuntu. Zapewne sam bym skorzysał i został na tym distro jakbym mial takie rozwiązanie bo spodobało mi się.

Pozdrawiam


Zobacz najnowsze wiadomości na forum